# for Nexys4

# Part Name : xc7a100tcsg324-1

# config memory device p mcs ̐
set_property BITSTREAM.CONFIG.SPI_BUSWIDTH 4 [current_design]
set_property CONFIG_MODE SPIx4 [current_design]
# Tcl console ŃR}hs
# write_cfgmem -format mcs -interface SPIx4 -size 16 -loadbit "up 0x0 ./tutorial.runs/impl_1/tutorial.bit" -file tutorial.mcs
# -size IvV MBytes Ŏw肷B 128Mbit -> TCY 16
# Mempry Part  s25fl128sxxxxxx0-spi-x1_x2_x4

## Clock signal
##Bank = 35, Pin name = IO_L12P_T1_MRCC_35
set_property PACKAGE_PIN E3 [get_ports CLK100MHz]
set_property IOSTANDARD LVCMOS33 [get_ports CLK100MHz]
create_clock -period 10.000 -name sys_clk_pin -waveform {0.000 5.000} [get_ports CLK100MHz]

# Switches
set_property PACKAGE_PIN U9 [get_ports {sw[0]}]
set_property PACKAGE_PIN U8 [get_ports {sw[1]}]
set_property PACKAGE_PIN R7 [get_ports {sw[2]}]
set_property PACKAGE_PIN R6 [get_ports {sw[3]}]
set_property PACKAGE_PIN R5 [get_ports {sw[4]}]
set_property PACKAGE_PIN V7 [get_ports {sw[5]}]
set_property PACKAGE_PIN V6 [get_ports {sw[6]}]
set_property PACKAGE_PIN V5 [get_ports {sw[7]}]
set_property PACKAGE_PIN U4 [get_ports {sw[8]}]
set_property PACKAGE_PIN V2 [get_ports {sw[9]}]
set_property PACKAGE_PIN U2 [get_ports {sw[10]}]
set_property PACKAGE_PIN T3 [get_ports {sw[11]}]
set_property PACKAGE_PIN T1 [get_ports {sw[12]}]
set_property PACKAGE_PIN R3 [get_ports {sw[13]}]
set_property PACKAGE_PIN P3 [get_ports {sw[14]}]
set_property PACKAGE_PIN P4 [get_ports {sw[15]}]
set_property IOSTANDARD LVCMOS33 [get_ports {sw[*]}]
set_false_path -from [get_ports {sw[*]}]

# LEDs
set_property PACKAGE_PIN T8 [get_ports {led[0]}]
set_property PACKAGE_PIN V9 [get_ports {led[1]}]
set_property PACKAGE_PIN R8 [get_ports {led[2]}]
set_property PACKAGE_PIN T6 [get_ports {led[3]}]
set_property PACKAGE_PIN T5 [get_ports {led[4]}]
set_property PACKAGE_PIN T4 [get_ports {led[5]}]
set_property PACKAGE_PIN U7 [get_ports {led[6]}]
set_property PACKAGE_PIN U6 [get_ports {led[7]}]
set_property PACKAGE_PIN V4 [get_ports {led[8]}]
set_property PACKAGE_PIN U3 [get_ports {led[9]}]
set_property PACKAGE_PIN V1 [get_ports {led[10]}]
set_property PACKAGE_PIN R1 [get_ports {led[11]}]
set_property PACKAGE_PIN P5 [get_ports {led[12]}]
set_property PACKAGE_PIN U1 [get_ports {led[13]}]
set_property PACKAGE_PIN R2 [get_ports {led[14]}]
set_property PACKAGE_PIN P2 [get_ports {led[15]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led[*]}]
set_false_path -to [get_ports {led[*]}]

#set_property PACKAGE_PIN K5 [get_ports {RGB1[2]}]
#set_property PACKAGE_PIN F13 [get_ports {RGB1[1]}]
#set_property PACKAGE_PIN F6 [get_ports {RGB1[0]}]
#set_property PACKAGE_PIN K6 [get_ports {RGB2[2]}]
#set_property PACKAGE_PIN H6 [get_ports {RGB2[1]}]
#set_property PACKAGE_PIN L16 [get_ports {RGB2[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {RGB1[*]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {RGB2[*]}]
#set_false_path -to [get_ports {RGB1[*]}]
#set_false_path -to [get_ports {RGB2[*]}]

#7 segment display
#set_property PACKAGE_PIN L3 [get_ports {DIG[0]}]
#set_property PACKAGE_PIN N1 [get_ports {DIG[1]}]
#set_property PACKAGE_PIN L5 [get_ports {DIG[2]}]
#set_property PACKAGE_PIN L4 [get_ports {DIG[3]}]
#set_property PACKAGE_PIN K3 [get_ports {DIG[4]}]
#set_property PACKAGE_PIN M2 [get_ports {DIG[5]}]
#set_property PACKAGE_PIN L6 [get_ports {DIG[6]}]
#set_property PACKAGE_PIN M4 [get_ports DOT]
#set_property PACKAGE_PIN N6 [get_ports {DIGSEL[0]}]
#set_property PACKAGE_PIN M6 [get_ports {DIGSEL[1]}]
#set_property PACKAGE_PIN M3 [get_ports {DIGSEL[2]}]
#set_property PACKAGE_PIN N5 [get_ports {DIGSEL[3]}]
#set_property PACKAGE_PIN N2 [get_ports {DIGSEL[4]}]
#set_property PACKAGE_PIN N4 [get_ports {DIGSEL[5]}]
#set_property PACKAGE_PIN L1 [get_ports {DIGSEL[6]}]
#set_property PACKAGE_PIN M1 [get_ports {DIGSEL[7]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {DIG[*]}]
#set_property IOSTANDARD LVCMOS33 [get_ports DOT]
#set_property IOSTANDARD LVCMOS33 [get_ports {DIGSEL[*]}]
#set_false_path -to [get_ports {DIG[*]}]
#set_false_path -to [get_ports DOT]
#set_false_path -to [get_ports {DIGSEL[*]}]

#Buttons
#set_property PACKAGE_PIN C12 [get_ports BTNCPURST]
set_property PACKAGE_PIN E16 [get_ports btnc]
set_property PACKAGE_PIN F15 [get_ports btnu]
set_property PACKAGE_PIN T16 [get_ports btnl]
set_property PACKAGE_PIN R10 [get_ports btnr]
set_property PACKAGE_PIN V10 [get_ports btnd]

#set_property IOSTANDARD LVCMOS33 [get_ports BTNCPURST]
set_property IOSTANDARD LVCMOS33 [get_ports btnc]
set_property IOSTANDARD LVCMOS33 [get_ports btnu]
set_property IOSTANDARD LVCMOS33 [get_ports btnl]
set_property IOSTANDARD LVCMOS33 [get_ports btnr]
set_property IOSTANDARD LVCMOS33 [get_ports btnd]
#set_false_path -from [get_ports BTNCPURST]
set_false_path -from [get_ports btnc]
set_false_path -from [get_ports btnu]
set_false_path -from [get_ports btnl]
set_false_path -from [get_ports btnr]
set_false_path -from [get_ports btnd]

##Pmod Header JA
##Bank = 15, Pin name = IO_L1N_T0_AD0N_15
#set_property PACKAGE_PIN B13 [get_ports {JA[0]}]
##Bank = 15, Pin name = IO_L5N_T0_AD9N_15
#set_property PACKAGE_PIN F14 [get_ports {JA[1]}]
##Bank = 15, Pin name = IO_L16N_T2_A27_15
#set_property PACKAGE_PIN D17 [get_ports {JA[2]}]
##Bank = 15, Pin name = IO_L16P_T2_A28_15
#set_property PACKAGE_PIN E17 [get_ports {JA[3]}]
##Bank = 15, Pin name = IO_0_15
#set_property PACKAGE_PIN G13 [get_ports {JA[4]}]
##Bank = 15, Pin name = IO_L20N_T3_A19_15
#set_property PACKAGE_PIN C17 [get_ports {JA[5]}]
##Bank = 15, Pin name = IO_L21N_T3_A17_15
#set_property PACKAGE_PIN D18 [get_ports {JA[6]}]
##Bank = 15, Pin name = IO_L21P_T3_DQS_15
#set_property PACKAGE_PIN E18 [get_ports {JA[7]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {JA[*]}]
#set_false_path -from [get_ports {JA[*]}]
#set_false_path -to [get_ports {JA[*]}]

##Pmod Header JB
##Bank = 15, Pin name = IO_L15N_T2_DQS_ADV_B_15
#set_property PACKAGE_PIN G14 [get_ports {JB[0]}]
##Bank = 14, Pin name = IO_L13P_T2_MRCC_14
#set_property PACKAGE_PIN P15 [get_ports {JB[1]}]
##Bank = 14, Pin name = IO_L21N_T3_DQS_A06_D22_14
#set_property PACKAGE_PIN V11 [get_ports {JB[2]}]
##Bank = CONFIG, Pin name = IO_L16P_T2_CSI_B_14
#set_property PACKAGE_PIN V15 [get_ports {JB[3]}]
##Bank = 15, Pin name = IO_25_15
#set_property PACKAGE_PIN K16 [get_ports {JB[4]}]
##Bank = CONFIG, Pin name = IO_L15P_T2_DQS_RWR_B_14
#set_property PACKAGE_PIN R16 [get_ports {JB[5]}]
##Bank = 14, Pin name = IO_L24P_T3_A01_D17_14
#set_property PACKAGE_PIN T9 [get_ports {JB[6]}]
##Bank = 14, Pin name = IO_L19N_T3_A09_D25_VREF_14
#set_property PACKAGE_PIN U11 [get_ports {JB[7]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {JB[*]}]
#set_false_path -from [get_ports {JB[*]}]
#set_false_path -to [get_ports {JB[*]}]

##Pmod Header JC
##Bank = 35, Pin name = IO_L23P_T3_35
#set_property PACKAGE_PIN K2 [get_ports {JC[0]}]
##Bank = 35, Pin name = IO_L6P_T0_35
#set_property PACKAGE_PIN E7 [get_ports {JC[1]}]
##Bank = 35, Pin name = IO_L22P_T3_35
#set_property PACKAGE_PIN J3 [get_ports {JC[2]}]
##Bank = 35, Pin name = IO_L21P_T3_DQS_35
#set_property PACKAGE_PIN J4 [get_ports {JC[3]}]
##Bank = 35, Pin name = IO_L23N_T3_35
#set_property PACKAGE_PIN K1 [get_ports {JC[4]}]
##Bank = 35, Pin name = IO_L5P_T0_AD13P_35
#set_property PACKAGE_PIN E6 [get_ports {JC[5]}]
##Bank = 35, Pin name = IO_L22N_T3_35
#set_property PACKAGE_PIN J2 [get_ports {JC[6]}]
##Bank = 35, Pin name = IO_L19P_T3_35
#set_property PACKAGE_PIN G6 [get_ports {JC[7]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {JC[*]}]
#set_false_path -from [get_ports {JC[*]}]
#set_false_path -to [get_ports {JC[*]}]

##Pmod Header JD
##Bank = 35, Pin name = IO_L21N_T2_DQS_35
#set_property PACKAGE_PIN H4 [get_ports {JD[0]}]
##Bank = 35, Pin name = IO_L17P_T2_35
#set_property PACKAGE_PIN H1 [get_ports {JD[1]}]
##Bank = 35, Pin name = IO_L17N_T2_35
#set_property PACKAGE_PIN G1 [get_ports {JD[2]}]
##Bank = 35, Pin name = IO_L20N_T3_35
#set_property PACKAGE_PIN G3 [get_ports {JD[3]}]
##Bank = 35, Pin name = IO_L15P_T2_DQS_35
#set_property PACKAGE_PIN H2 [get_ports {JD[4]}]
##Bank = 35, Pin name = IO_L20P_T3_35
#set_property PACKAGE_PIN G4 [get_ports {JD[5]}]
##Bank = 35, Pin name = IO_L15N_T2_DQS_35
#set_property PACKAGE_PIN G2 [get_ports {JD[6]}]
##Bank = 35, Pin name = IO_L13N_T2_MRCC_35
#set_property PACKAGE_PIN F3 [get_ports {JD[7]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {JD[*]}]
#set_false_path -from [get_ports {JD[*]}]
#set_false_path -to [get_ports {JD[*]}]


##Pmod Header JXADC
##Bank = 15, Pin name = IO_L9P_T1_DQS_AD3P_15
#set_property PACKAGE_PIN A13 [get_ports {JXADC[0]}]
##Bank = 15, Pin name = IO_L8P_T1_AD10P_15
#set_property PACKAGE_PIN A15 [get_ports {JXADC[1]}]
##Bank = 15, Pin name = IO_L7P_T1_AD2P_15
#set_property PACKAGE_PIN B16 [get_ports {JXADC[2]}]
##Bank = 15, Pin name = IO_L10P_T1_AD11P_15
#set_property PACKAGE_PIN B18 [get_ports {JXADC[3]}]
##Bank = 15, Pin name = IO_L9N_T1_DQS_AD3N_15
#set_property PACKAGE_PIN A14 [get_ports {JXADC[4]}]
##Bank = 15, Pin name = IO_L8N_T1_AD10N_15
#set_property PACKAGE_PIN A16 [get_ports {JXADC[5]}]
##Bank = 15, Pin name = IO_L7N_T1_AD2N_15
#set_property PACKAGE_PIN B17 [get_ports {JXADC[6]}]
##Bank = 15, Pin name = IO_L10N_T1_AD11N_15
#set_property PACKAGE_PIN A18 [get_ports {JXADC[7]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {JXADC[*]}]

#VGA Connector
set_property PACKAGE_PIN A3 [get_ports {vga_r[0]}]
set_property PACKAGE_PIN B4 [get_ports {vga_r[1]}]
set_property PACKAGE_PIN C5 [get_ports {vga_r[2]}]
set_property PACKAGE_PIN A4 [get_ports {vga_r[3]}]
set_property PACKAGE_PIN B7 [get_ports {vga_b[0]}]
set_property PACKAGE_PIN C7 [get_ports {vga_b[1]}]
set_property PACKAGE_PIN D7 [get_ports {vga_b[2]}]
set_property PACKAGE_PIN D8 [get_ports {vga_b[3]}]
set_property PACKAGE_PIN C6 [get_ports {vga_g[0]}]
set_property PACKAGE_PIN A5 [get_ports {vga_g[1]}]
set_property PACKAGE_PIN B6 [get_ports {vga_g[2]}]
set_property PACKAGE_PIN A6 [get_ports {vga_g[3]}]
set_property PACKAGE_PIN B11 [get_ports vga_hs]
set_property PACKAGE_PIN B12 [get_ports vga_vs]
set_property IOSTANDARD LVCMOS33 [get_ports {vga_*[*]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vga_*}]
set_false_path -to [get_ports {vga_*[*]}]
set_false_path -to [get_ports {vga_*}]

##Micro SD Connector
##Bank = 35, Pin name = IO_L14P_T2_SRCC_35
#set_property PACKAGE_PIN E2 [get_ports sdReset]
#set_property IOSTANDARD LVCMOS33 [get_ports sdReset]
##Bank = 35, Pin name = IO_L9N_T1_DQS_AD7N_35
#set_property PACKAGE_PIN A1 [get_ports sdCD]
#set_property IOSTANDARD LVCMOS33 [get_ports sdCD]
##Bank = 35, Pin name = IO_L9P_T1_DQS_AD7P_35
#set_property PACKAGE_PIN B1 [get_ports sdSCK]
#set_property IOSTANDARD LVCMOS33 [get_ports sdSCK]
##Bank = 35, Pin name = IO_L16N_T2_35
#set_property PACKAGE_PIN C1 [get_ports sdCmd]
#set_property IOSTANDARD LVCMOS33 [get_ports sdCmd]
##Bank = 35, Pin name = IO_L16P_T2_35
#set_property PACKAGE_PIN C2 [get_ports {sdData[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {sdData[0]}]
##Bank = 35, Pin name = IO_L18N_T2_35
#set_property PACKAGE_PIN E1 [get_ports {sdData[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {sdData[1]}]
##Bank = 35, Pin name = IO_L18P_T2_35
#set_property PACKAGE_PIN F1 [get_ports {sdData[2]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {sdData[2]}]
##Bank = 35, Pin name = IO_L14N_T2_SRCC_35
#set_property PACKAGE_PIN D2 [get_ports {sdData[3]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {sdData[3]}]


##Accelerometer
##Bank = 15, Pin name = IO_L6N_T0_VREF_15
#set_property PACKAGE_PIN D13 [get_ports aclMISO]
#set_property IOSTANDARD LVCMOS33 [get_ports aclMISO]
##Bank = 15, Pin name = IO_L2N_T0_AD8N_15
#set_property PACKAGE_PIN B14 [get_ports aclMOSI]
#set_property IOSTANDARD LVCMOS33 [get_ports aclMOSI]
##Bank = 15, Pin name = IO_L12P_T1_MRCC_15
#set_property PACKAGE_PIN D15 [get_ports aclSCK]
#set_property IOSTANDARD LVCMOS33 [get_ports aclSCK]
##Bank = 15, Pin name = IO_L12N_T1_MRCC_15
#set_property PACKAGE_PIN C15 [get_ports aclSS]
#set_property IOSTANDARD LVCMOS33 [get_ports aclSS]
##Bank = 15, Pin name = IO_L20P_T3_A20_15
#set_property PACKAGE_PIN C16 [get_ports aclInt1]
#set_property IOSTANDARD LVCMOS33 [get_ports aclInt1]
##Bank = 15, Pin name = IO_L11P_T1_SRCC_15
#set_property PACKAGE_PIN E15 [get_ports aclInt2]
#set_property IOSTANDARD LVCMOS33 [get_ports aclInt2]



##Temperature Sensor
##Bank = 15, Pin name = IO_L14N_T2_SRCC_15
#set_property PACKAGE_PIN F16 [get_ports tmpSCL]
#set_property IOSTANDARD LVCMOS33 [get_ports tmpSCL]
##Bank = 15, Pin name = IO_L13N_T2_MRCC_15
#set_property PACKAGE_PIN G16 [get_ports tmpSDA]
#set_property IOSTANDARD LVCMOS33 [get_ports tmpSDA]
##Bank = 15, Pin name = IO_L1P_T0_AD0P_15
#set_property PACKAGE_PIN D14 [get_ports tmpInt]
#set_property IOSTANDARD LVCMOS33 [get_ports tmpInt]
##Bank = 15, Pin name = IO_L1N_T0_AD0N_15
#set_property PACKAGE_PIN C14 [get_ports tmpCT]
#set_property IOSTANDARD LVCMOS33 [get_ports tmpCT]

##Omnidirectional Microphone
##Bank = 35, Pin name = IO_25_35
#set_property PACKAGE_PIN J5 [get_ports micClk]
#set_property IOSTANDARD LVCMOS33 [get_ports micClk]
##Bank = 35, Pin name = IO_L24N_T3_35
#set_property PACKAGE_PIN H5 [get_ports micData]
#set_property IOSTANDARD LVCMOS33 [get_ports micData]
##Bank = 35, Pin name = IO_0_35
#set_property PACKAGE_PIN F5 [get_ports micLRSel]
#set_property IOSTANDARD LVCMOS33 [get_ports micLRSel]

##PWM Audio Amplifier
##Bank = 15, Pin name = IO_L4N_T0_15
#set_property PACKAGE_PIN A11 [get_ports ampPWM]
#set_property IOSTANDARD LVCMOS33 [get_ports ampPWM]
##Bank = 15, Pin name = IO_L6P_T0_15
#set_property PACKAGE_PIN D12 [get_ports ampSD]
#set_property IOSTANDARD LVCMOS33 [get_ports ampSD]

#USB-RS232 Interface
#Bank = 35, Pin name = IO_L7P_T1_AD6P_35
#set_property PACKAGE_PIN C4 [get_ports UARTRX]
#set_property IOSTANDARD LVCMOS33 [get_ports UARTRX]
#Bank = 35, Pin name = IO_L11N_T1_SRCC_35
#set_property PACKAGE_PIN D4 [get_ports UARTTX]
#set_property IOSTANDARD LVCMOS33 [get_ports UARTTX]
#Bank = 35, Pin name = IO_L12N_T1_MRCC_35
#set_property PACKAGE_PIN D3 [get_ports UARTCTS]
#set_property IOSTANDARD LVCMOS33 [get_ports UARTCTS]
#Bank = 35, Pin name = IO_L5N_T0_AD13N_35
#set_property PACKAGE_PIN E5 [get_ports UARTRTS]
#set_property IOSTANDARD LVCMOS33 [get_ports UARTRTS]

##USB HID (PS/2)
##Bank = 35, Pin name = IO_L13P_T2_MRCC_35
#set_property PACKAGE_PIN F4 [get_ports PS2Clk]
#set_property IOSTANDARD LVCMOS33 [get_ports PS2Clk]
#set_property PULLUP true [get_ports PS2Clk]
##Bank = 35, Pin name = IO_L10N_T1_AD15N_35
#set_property PACKAGE_PIN B2 [get_ports PS2Data]
#set_property IOSTANDARD LVCMOS33 [get_ports PS2Data]
#set_property PULLUP true [get_ports PS2Data]

##SMSC Ethernet PHY
##Bank = 16, Pin name = IO_L11P_T1_SRCC_16
#set_property PACKAGE_PIN C9 [get_ports PhyMdc]
#set_property IOSTANDARD LVCMOS33 [get_ports PhyMdc]
##Bank = 16, Pin name = IO_L14N_T2_SRCC_16
#set_property PACKAGE_PIN A9 [get_ports PhyMdio]
#set_property IOSTANDARD LVCMOS33 [get_ports PhyMdio]
##Bank = 35, Pin name = IO_L10P_T1_AD15P_35
#set_property PACKAGE_PIN B3 [get_ports PhyRstn]
#set_property IOSTANDARD LVCMOS33 [get_ports PhyRstn]
##Bank = 16, Pin name = IO_L6N_T0_VREF_16
#set_property PACKAGE_PIN D9 [get_ports PhyCrs]
#set_property IOSTANDARD LVCMOS33 [get_ports PhyCrs]
##Bank = 16, Pin name = IO_L13N_T2_MRCC_16
#set_property PACKAGE_PIN C10 [get_ports PhyRxErr]
#set_property IOSTANDARD LVCMOS33 [get_ports PhyRxErr]
##Bank = 16, Pin name = IO_L19N_T3_VREF_16
#set_property PACKAGE_PIN D10 [get_ports {PhyRxd[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {PhyRxd[0]}]
##Bank = 16, Pin name = IO_L13P_T2_MRCC_16
#set_property PACKAGE_PIN C11 [get_ports {PhyRxd[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {PhyRxd[1]}]
##Bank = 16, Pin name = IO_L11N_T1_SRCC_16
#set_property PACKAGE_PIN B9 [get_ports PhyTxEn]
#set_property IOSTANDARD LVCMOS33 [get_ports PhyTxEn]
##Bank = 16, Pin name = IO_L14P_T2_SRCC_16
#set_property PACKAGE_PIN A10 [get_ports {PhyTxd[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {PhyTxd[0]}]
##Bank = 16, Pin name = IO_L12N_T1_MRCC_16
#set_property PACKAGE_PIN A8 [get_ports {PhyTxd[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {PhyTxd[1]}]
##Bank = 35, Pin name = IO_L11P_T1_SRCC_35
#set_property PACKAGE_PIN D5 [get_ports PhyClk50Mhz]
#set_property IOSTANDARD LVCMOS33 [get_ports PhyClk50Mhz]
##Bank = 16, Pin name = IO_L12P_T1_MRCC_16
#set_property PACKAGE_PIN B8 [get_ports PhyIntn]
#set_property IOSTANDARD LVCMOS33 [get_ports PhyIntn]

##Quad SPI Flash
##Bank = CONFIG, Pin name = CCLK_0
#set_property PACKAGE_PIN E9 [get_ports {QspiSCK}]
#set_property IOSTANDARD LVCMOS33 [get_ports {QspiSCK}]
##Bank = CONFIG, Pin name = IO_L1P_T0_D00_MOSI_14
#set_property PACKAGE_PIN K17 [get_ports {QspiDB[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {QspiDB[0]}]
##Bank = CONFIG, Pin name = IO_L1N_T0_D01_DIN_14
#set_property PACKAGE_PIN K18 [get_ports {QspiDB[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {QspiDB[1]}]
##Bank = CONFIG, Pin name = IO_L20_T0_D02_14
#set_property PACKAGE_PIN L14 [get_ports {QspiDB[2]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {QspiDB[2]}]
##Bank = CONFIG, Pin name = IO_L2P_T0_D03_14
#set_property PACKAGE_PIN M14 [get_ports {QspiDB[3]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {QspiDB[3]}]
##Bank = CONFIG, Pin name = IO_L15N_T2_DQS_DOUT_CSO_B_14
#set_property PACKAGE_PIN L13 [get_ports QspiCSn]
#set_property IOSTANDARD LVCMOS33 [get_ports QspiCSn]

##Cellular RAM
##Bank = 14, Pin name = IO_L14N_T2_SRCC_14
#set_property PACKAGE_PIN T15 [get_ports RamCLK]
#set_property IOSTANDARD LVCMOS33 [get_ports RamCLK]
##Bank = 14, Pin name = IO_L23P_T3_A03_D19_14
#set_property PACKAGE_PIN T13 [get_ports RamADVn]
#set_property IOSTANDARD LVCMOS33 [get_ports RamADVn]
##Bank = 14, Pin name = IO_L4P_T0_D04_14
#set_property PACKAGE_PIN L18 [get_ports RamCEn]
#set_property IOSTANDARD LVCMOS33 [get_ports RamCEn]
##Bank = 15, Pin name = IO_L19P_T3_A22_15
#set_property PACKAGE_PIN J14 [get_ports RamCRE]
#set_property IOSTANDARD LVCMOS33 [get_ports RamCRE]
##Bank = 15, Pin name = IO_L15P_T2_DQS_15
#set_property PACKAGE_PIN H14 [get_ports RamOEn]
#set_property IOSTANDARD LVCMOS33 [get_ports RamOEn]
##Bank = 14, Pin name = IO_0_14
#set_property PACKAGE_PIN R11 [get_ports RamWEn]
#set_property IOSTANDARD LVCMOS33 [get_ports RamWEn]
##Bank = 15, Pin name = IO_L24N_T3_RS0_15
#set_property PACKAGE_PIN J15 [get_ports RamLBn]
#set_property IOSTANDARD LVCMOS33 [get_ports RamLBn]
##Bank = 15, Pin name = IO_L17N_T2_A25_15
#set_property PACKAGE_PIN J13 [get_ports RamUBn]
#set_property IOSTANDARD LVCMOS33 [get_ports RamUBn]
##Bank = 14, Pin name = IO_L14P_T2_SRCC_14
#set_property PACKAGE_PIN T14 [get_ports RamWait]
#set_property IOSTANDARD LVCMOS33 [get_ports RamWait]

##Bank = 14, Pin name = IO_L5P_T0_DQ06_14
#set_property PACKAGE_PIN R12 [get_ports {MemDB[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemDB[0]}]
##Bank = 14, Pin name = IO_L19P_T3_A10_D26_14
#set_property PACKAGE_PIN T11 [get_ports {MemDB[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemDB[1]}]
##Bank = 14, Pin name = IO_L20P_T3_A08)D24_14
#set_property PACKAGE_PIN U12 [get_ports {MemDB[2]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemDB[2]}]
##Bank = 14, Pin name = IO_L5N_T0_D07_14
#set_property PACKAGE_PIN R13 [get_ports {MemDB[3]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemDB[3]}]
##Bank = 14, Pin name = IO_L17N_T2_A13_D29_14
#set_property PACKAGE_PIN U18 [get_ports {MemDB[4]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemDB[4]}]
##Bank = 14, Pin name = IO_L12N_T1_MRCC_14
#set_property PACKAGE_PIN R17 [get_ports {MemDB[5]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemDB[5]}]
##Bank = 14, Pin name = IO_L7N_T1_D10_14
#set_property PACKAGE_PIN T18 [get_ports {MemDB[6]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemDB[6]}]
##Bank = 14, Pin name = IO_L7P_T1_D09_14
#set_property PACKAGE_PIN R18 [get_ports {MemDB[7]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemDB[7]}]
##Bank = 15, Pin name = IO_L22N_T3_A16_15
#set_property PACKAGE_PIN F18 [get_ports {MemDB[8]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemDB[8]}]
##Bank = 15, Pin name = IO_L22P_T3_A17_15
#set_property PACKAGE_PIN G18 [get_ports {MemDB[9]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemDB[9]}]
##Bank = 15, Pin name = IO_IO_L18N_T2_A23_15
#set_property PACKAGE_PIN G17 [get_ports {MemDB[10]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemDB[10]}]
##Bank = 14, Pin name = IO_L4N_T0_D05_14
#set_property PACKAGE_PIN M18 [get_ports {MemDB[11]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemDB[11]}]
##Bank = 14, Pin name = IO_L10N_T1_D15_14
#set_property PACKAGE_PIN M17 [get_ports {MemDB[12]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemDB[12]}]
##Bank = 14, Pin name = IO_L9N_T1_DQS_D13_14
#set_property PACKAGE_PIN P18 [get_ports {MemDB[13]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemDB[13]}]
##Bank = 14, Pin name = IO_L9P_T1_DQS_14
#set_property PACKAGE_PIN N17 [get_ports {MemDB[14]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemDB[14]}]
##Bank = 14, Pin name = IO_L12P_T1_MRCC_14
#set_property PACKAGE_PIN P17 [get_ports {MemDB[15]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemDB[15]}]

##Bank = 15, Pin name = IO_L23N_T3_FWE_B_15
#set_property PACKAGE_PIN J18 [get_ports {MemAdr[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[0]}]
##Bank = 15, Pin name = IO_L18P_T2_A24_15
#set_property PACKAGE_PIN H17 [get_ports {MemAdr[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[1]}]
##Bank = 15, Pin name = IO_L19N_T3_A21_VREF_15
#set_property PACKAGE_PIN H15 [get_ports {MemAdr[2]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[2]}]
##Bank = 15, Pin name = IO_L23P_T3_FOE_B_15
#set_property PACKAGE_PIN J17 [get_ports {MemAdr[3]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[3]}]
##Bank = 15, Pin name = IO_L13P_T2_MRCC_15
#set_property PACKAGE_PIN H16 [get_ports {MemAdr[4]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[4]}]
##Bank = 15, Pin name = IO_L24P_T3_RS1_15
#set_property PACKAGE_PIN K15 [get_ports {MemAdr[5]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[5]}]
##Bank = 15, Pin name = IO_L17P_T2_A26_15
#set_property PACKAGE_PIN K13 [get_ports {MemAdr[6]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[6]}]
##Bank = 14, Pin name = IO_L11P_T1_SRCC_14
#set_property PACKAGE_PIN N15 [get_ports {MemAdr[7]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[7]}]
##Bank = 14, Pin name = IO_L16N_T2_SRCC-14
#set_property PACKAGE_PIN V16 [get_ports {MemAdr[8]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[8]}]
##Bank = 14, Pin name = IO_L22P_T3_A05_D21_14
#set_property PACKAGE_PIN U14 [get_ports {MemAdr[9]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[9]}]
##Bank = 14, Pin name = IO_L22N_T3_A04_D20_14
#set_property PACKAGE_PIN V14 [get_ports {MemAdr[10]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[10]}]
##Bank = 14, Pin name = IO_L20N_T3_A07_D23_14
#set_property PACKAGE_PIN V12 [get_ports {MemAdr[11]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[11]}]
##Bank = 14, Pin name = IO_L8N_T1_D12_14
#set_property PACKAGE_PIN P14 [get_ports {MemAdr[12]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[12]}]
##Bank = 14, Pin name = IO_L18P_T2_A12_D28_14
#set_property PACKAGE_PIN U16 [get_ports {MemAdr[13]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[13]}]
##Bank = 14, Pin name = IO_L13N_T2_MRCC_14
#set_property PACKAGE_PIN R15 [get_ports {MemAdr[14]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[14]}]
##Bank = 14, Pin name = IO_L8P_T1_D11_14
#set_property PACKAGE_PIN N14 [get_ports {MemAdr[15]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[15]}]
##Bank = 14, Pin name = IO_L11N_T1_SRCC_14
#set_property PACKAGE_PIN N16 [get_ports {MemAdr[16]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[16]}]
##Bank = 14, Pin name = IO_L6N_T0_D08_VREF_14
#set_property PACKAGE_PIN M13 [get_ports {MemAdr[17]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[17]}]
##Bank = 14, Pin name = IO_L18N_T2_A11_D27_14
#set_property PACKAGE_PIN V17 [get_ports {MemAdr[18]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[18]}]
##Bank = 14, Pin name = IO_L17P_T2_A14_D30_14
#set_property PACKAGE_PIN U17 [get_ports {MemAdr[19]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[19]}]
##Bank = 14, Pin name = IO_L24N_T3_A00_D16_14
#set_property PACKAGE_PIN T10 [get_ports {MemAdr[20]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[20]}]
##Bank = 14, Pin name = IO_L10P_T1_D14_14
#set_property PACKAGE_PIN M16 [get_ports {MemAdr[21]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[21]}]
##Bank = 14, Pin name = IO_L23N_T3_A02_D18_14
#set_property PACKAGE_PIN U13 [get_ports {MemAdr[22]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {MemAdr[22]}]

